org.jboss.shrinkwrap.descriptor.api.javaee6

## Interface DataSourceType<T>

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Child<T>

      public interface DataSourceType<T>
      extends org.jboss.shrinkwrap.descriptor.api.Child<T>

  This interface defines the contract for the `data-sourceType` xsd type

- - ### Property Summary

    All Methods Instance Methods Abstract Methods
    Type | Property and Description
    --- | ---
    `PropertyType<DataSourceType<T>>` | `create` Creates a new `property` element
    `DataSourceType<T>` | `removeAll` Removes all `property` elements

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `DataSourceType<T>` | `className(java.lang.String className)` Sets the `class-name` element
    `PropertyType<DataSourceType<T>>` | `createProperty()` Creates a new `property` element
    `DataSourceType<T>` | `databaseName(java.lang.String databaseName)` Sets the `database-name` element
    `DataSourceType<T>` | `description(java.lang.String description)` Sets the `description` element
    `java.util.List<PropertyType<DataSourceType<T>>>` | `getAllProperty()` Returns all `property` elements
    `java.lang.String` | `getClassName()` Returns the `class-name` element
    `java.lang.String` | `getDatabaseName()` Returns the `database-name` element
    `java.lang.String` | `getDescription()` Returns the `description` element
    `java.lang.String` | `getId()` Returns the `id` attribute
    `java.lang.Integer` | `getInitialPoolSize()` Returns the `initial-pool-size` element
    `IsolationLevelType` | `getIsolationLevel()` Returns the `isolation-level` element
    `java.lang.String` | `getIsolationLevelAsString()` Returns the `isolation-level` element
    `java.lang.Integer` | `getLoginTimeout()` Returns the `login-timeout` element
    `java.lang.Integer` | `getMaxIdleTime()` Returns the `max-idle-time` element
    `java.lang.Integer` | `getMaxPoolSize()` Returns the `max-pool-size` element
    `java.lang.Integer` | `getMaxStatements()` Returns the `max-statements` element
    `java.lang.Integer` | `getMinPoolSize()` Returns the `min-pool-size` element
    `java.lang.String` | `getName()` Returns the `name` element
    `PropertyType<DataSourceType<T>>` | `getOrCreateProperty()` If not already created, a new `property` element will be created and returned.
    `java.lang.String` | `getPassword()` Returns the `password` element
    `java.lang.Integer` | `getPortNumber()` Returns the `port-number` element
    `java.lang.String` | `getServerName()` Returns the `server-name` element
    `java.lang.String` | `getUrl()` Returns the `url` element
    `java.lang.String` | `getUser()` Returns the `user` element
    `DataSourceType<T>` | `id(java.lang.String id)` Sets the `id` attribute
    `DataSourceType<T>` | `initialPoolSize(java.lang.Integer initialPoolSize)` Sets the `initial-pool-size` element
    `DataSourceType<T>` | `isolationLevel(IsolationLevelType isolationLevel)` Sets the `isolation-level` element
    `DataSourceType<T>` | `isolationLevel(java.lang.String isolationLevel)` Sets the `isolation-level` element
    `java.lang.Boolean` | `isTransactional()` Returns the `transactional` element
    `DataSourceType<T>` | `loginTimeout(java.lang.Integer loginTimeout)` Sets the `login-timeout` element
    `DataSourceType<T>` | `maxIdleTime(java.lang.Integer maxIdleTime)` Sets the `max-idle-time` element
    `DataSourceType<T>` | `maxPoolSize(java.lang.Integer maxPoolSize)` Sets the `max-pool-size` element
    `DataSourceType<T>` | `maxStatements(java.lang.Integer maxStatements)` Sets the `max-statements` element
    `DataSourceType<T>` | `minPoolSize(java.lang.Integer minPoolSize)` Sets the `min-pool-size` element
    `DataSourceType<T>` | `name(java.lang.String name)` Sets the `name` element
    `DataSourceType<T>` | `password(java.lang.String password)` Sets the `password` element
    `DataSourceType<T>` | `portNumber(java.lang.Integer portNumber)` Sets the `port-number` element
    `DataSourceType<T>` | `removeAllProperty()` Removes all `property` elements
    `DataSourceType<T>` | `removeClassName()` Removes the `class-name` element
    `DataSourceType<T>` | `removeDatabaseName()` Removes the `database-name` element
    `DataSourceType<T>` | `removeDescription()` Removes the `description` element
    `DataSourceType<T>` | `removeId()` Removes the `id` attribute
    `DataSourceType<T>` | `removeInitialPoolSize()` Removes the `initial-pool-size` element
    `DataSourceType<T>` | `removeIsolationLevel()` Removes the `isolation-level` attribute
    `DataSourceType<T>` | `removeLoginTimeout()` Removes the `login-timeout` element
    `DataSourceType<T>` | `removeMaxIdleTime()` Removes the `max-idle-time` element
    `DataSourceType<T>` | `removeMaxPoolSize()` Removes the `max-pool-size` element
    `DataSourceType<T>` | `removeMaxStatements()` Removes the `max-statements` element
    `DataSourceType<T>` | `removeMinPoolSize()` Removes the `min-pool-size` element
    `DataSourceType<T>` | `removeName()` Removes the `name` element
    `DataSourceType<T>` | `removePassword()` Removes the `password` element
    `DataSourceType<T>` | `removePortNumber()` Removes the `port-number` element
    `DataSourceType<T>` | `removeServerName()` Removes the `server-name` element
    `DataSourceType<T>` | `removeTransactional()` Removes the `transactional` element
    `DataSourceType<T>` | `removeUrl()` Removes the `url` element
    `DataSourceType<T>` | `removeUser()` Removes the `user` element
    `DataSourceType<T>` | `serverName(java.lang.String serverName)` Sets the `server-name` element
    `DataSourceType<T>` | `transactional(java.lang.Boolean transactional)` Sets the `transactional` element
    `DataSourceType<T>` | `url(java.lang.String url)` Sets the `url` element
    `DataSourceType<T>` | `user(java.lang.String user)` Sets the `user` element

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child

      `up`

- - ### Property Detail

    - #### create

          PropertyType<DataSourceType<T>> createProperty

      Creates a new `property` element

    - #### removeAll

          DataSourceType<T> removeAllProperty

      Removes all `property` elements

  - ### Method Detail

    - #### description

          DataSourceType<T> description(java.lang.String description)

      Sets the `description` element
      Parameters:
        `description` - the value for the element `description`
      Returns:
        the current instance of `DataSourceType`

    - #### getDescription

          java.lang.String getDescription()

      Returns the `description` element
      Returns:
        the node defined for the element `description`

    - #### removeDescription

          DataSourceType<T> removeDescription()

      Removes the `description` element
      Returns:
        the current instance of `DataSourceType`

    - #### name

          DataSourceType<T> name(java.lang.String name)

      Sets the `name` element
      Parameters:
        `name` - the value for the element `name`
      Returns:
        the current instance of `DataSourceType`

    - #### getName

          java.lang.String getName()

      Returns the `name` element
      Returns:
        the node defined for the element `name`

    - #### removeName

          DataSourceType<T> removeName()

      Removes the `name` element
      Returns:
        the current instance of `DataSourceType`

    - #### className

          DataSourceType<T> className(java.lang.String className)

      Sets the `class-name` element
      Parameters:
        `className` - the value for the element `class-name`
      Returns:
        the current instance of `DataSourceType`

    - #### getClassName

          java.lang.String getClassName()

      Returns the `class-name` element
      Returns:
        the node defined for the element `class-name`

    - #### removeClassName

          DataSourceType<T> removeClassName()

      Removes the `class-name` element
      Returns:
        the current instance of `DataSourceType`

    - #### serverName

          DataSourceType<T> serverName(java.lang.String serverName)

      Sets the `server-name` element
      Parameters:
        `serverName` - the value for the element `server-name`
      Returns:
        the current instance of `DataSourceType`

    - #### getServerName

          java.lang.String getServerName()

      Returns the `server-name` element
      Returns:
        the node defined for the element `server-name`

    - #### removeServerName

          DataSourceType<T> removeServerName()

      Removes the `server-name` element
      Returns:
        the current instance of `DataSourceType`

    - #### portNumber

          DataSourceType<T> portNumber(java.lang.Integer portNumber)

      Sets the `port-number` element
      Parameters:
        `portNumber` - the value for the element `port-number`
      Returns:
        the current instance of `DataSourceType`

    - #### getPortNumber

          java.lang.Integer getPortNumber()

      Returns the `port-number` element
      Returns:
        the node defined for the element `port-number`

    - #### removePortNumber

          DataSourceType<T> removePortNumber()

      Removes the `port-number` element
      Returns:
        the current instance of `DataSourceType`

    - #### databaseName

          DataSourceType<T> databaseName(java.lang.String databaseName)

      Sets the `database-name` element
      Parameters:
        `databaseName` - the value for the element `database-name`
      Returns:
        the current instance of `DataSourceType`

    - #### getDatabaseName

          java.lang.String getDatabaseName()

      Returns the `database-name` element
      Returns:
        the node defined for the element `database-name`

    - #### removeDatabaseName

          DataSourceType<T> removeDatabaseName()

      Removes the `database-name` element
      Returns:
        the current instance of `DataSourceType`

    - #### url

          DataSourceType<T> url(java.lang.String url)

      Sets the `url` element
      Parameters:
        `url` - the value for the element `url`
      Returns:
        the current instance of `DataSourceType`

    - #### getUrl

          java.lang.String getUrl()

      Returns the `url` element
      Returns:
        the node defined for the element `url`

    - #### removeUrl

          DataSourceType<T> removeUrl()

      Removes the `url` element
      Returns:
        the current instance of `DataSourceType`

    - #### user

          DataSourceType<T> user(java.lang.String user)

      Sets the `user` element
      Parameters:
        `user` - the value for the element `user`
      Returns:
        the current instance of `DataSourceType`

    - #### getUser

          java.lang.String getUser()

      Returns the `user` element
      Returns:
        the node defined for the element `user`

    - #### removeUser

          DataSourceType<T> removeUser()

      Removes the `user` element
      Returns:
        the current instance of `DataSourceType`

    - #### password

          DataSourceType<T> password(java.lang.String password)

      Sets the `password` element
      Parameters:
        `password` - the value for the element `password`
      Returns:
        the current instance of `DataSourceType`

    - #### getPassword

          java.lang.String getPassword()

      Returns the `password` element
      Returns:
        the node defined for the element `password`

    - #### removePassword

          DataSourceType<T> removePassword()

      Removes the `password` element
      Returns:
        the current instance of `DataSourceType`

    - #### getOrCreateProperty

          PropertyType<DataSourceType<T>> getOrCreateProperty()

      If not already created, a new `property` element will be created and returned. Otherwise, the first existing `property` element will be returned.
      Returns:
        the instance defined for the element `property`

    - #### createProperty

          PropertyType<DataSourceType<T>> createProperty()

      Creates a new `property` element

    - #### getAllProperty

          java.util.List<PropertyType<DataSourceType<T>>> getAllProperty()

      Returns all `property` elements
      Returns:
        list of `property`

    - #### removeAllProperty

          DataSourceType<T> removeAllProperty()

      Removes all `property` elements

    - #### loginTimeout

          DataSourceType<T> loginTimeout(java.lang.Integer loginTimeout)

      Sets the `login-timeout` element
      Parameters:
        `loginTimeout` - the value for the element `login-timeout`
      Returns:
        the current instance of `DataSourceType`

    - #### getLoginTimeout

          java.lang.Integer getLoginTimeout()

      Returns the `login-timeout` element
      Returns:
        the node defined for the element `login-timeout`

    - #### removeLoginTimeout

          DataSourceType<T> removeLoginTimeout()

      Removes the `login-timeout` element
      Returns:
        the current instance of `DataSourceType`

    - #### transactional

          DataSourceType<T> transactional(java.lang.Boolean transactional)

      Sets the `transactional` element
      Parameters:
        `transactional` - the value for the element `transactional`
      Returns:
        the current instance of `DataSourceType`

    - #### isTransactional

          java.lang.Boolean isTransactional()

      Returns the `transactional` element
      Returns:
        the node defined for the element `transactional`

    - #### removeTransactional

          DataSourceType<T> removeTransactional()

      Removes the `transactional` element
      Returns:
        the current instance of `DataSourceType`

    - #### isolationLevel

          DataSourceType<T> isolationLevel(IsolationLevelType isolationLevel)

      Sets the `isolation-level` element
      Parameters:
        `isolationLevel` - the value for the element `isolation-level`
      Returns:
        the current instance of `DataSourceType`

    - #### isolationLevel

          DataSourceType<T> isolationLevel(java.lang.String isolationLevel)

      Sets the `isolation-level` element
      Parameters:
        `isolationLevel` - the value for the element `isolation-level`
      Returns:
        the current instance of `DataSourceType`

    - #### getIsolationLevel

          IsolationLevelType getIsolationLevel()

      Returns the `isolation-level` element
      Returns:
        the value found for the element `isolation-level`

    - #### getIsolationLevelAsString

          java.lang.String getIsolationLevelAsString()

      Returns the `isolation-level` element
      Returns:
        the value found for the element `isolation-level`

    - #### removeIsolationLevel

          DataSourceType<T> removeIsolationLevel()

      Removes the `isolation-level` attribute
      Returns:
        the current instance of `DataSourceType`

    - #### initialPoolSize

          DataSourceType<T> initialPoolSize(java.lang.Integer initialPoolSize)

      Sets the `initial-pool-size` element
      Parameters:
        `initialPoolSize` - the value for the element `initial-pool-size`
      Returns:
        the current instance of `DataSourceType`

    - #### getInitialPoolSize

          java.lang.Integer getInitialPoolSize()

      Returns the `initial-pool-size` element
      Returns:
        the node defined for the element `initial-pool-size`

    - #### removeInitialPoolSize

          DataSourceType<T> removeInitialPoolSize()

      Removes the `initial-pool-size` element
      Returns:
        the current instance of `DataSourceType`

    - #### maxPoolSize

          DataSourceType<T> maxPoolSize(java.lang.Integer maxPoolSize)

      Sets the `max-pool-size` element
      Parameters:
        `maxPoolSize` - the value for the element `max-pool-size`
      Returns:
        the current instance of `DataSourceType`

    - #### getMaxPoolSize

          java.lang.Integer getMaxPoolSize()

      Returns the `max-pool-size` element
      Returns:
        the node defined for the element `max-pool-size`

    - #### removeMaxPoolSize

          DataSourceType<T> removeMaxPoolSize()

      Removes the `max-pool-size` element
      Returns:
        the current instance of `DataSourceType`

    - #### minPoolSize

          DataSourceType<T> minPoolSize(java.lang.Integer minPoolSize)

      Sets the `min-pool-size` element
      Parameters:
        `minPoolSize` - the value for the element `min-pool-size`
      Returns:
        the current instance of `DataSourceType`

    - #### getMinPoolSize

          java.lang.Integer getMinPoolSize()

      Returns the `min-pool-size` element
      Returns:
        the node defined for the element `min-pool-size`

    - #### removeMinPoolSize

          DataSourceType<T> removeMinPoolSize()

      Removes the `min-pool-size` element
      Returns:
        the current instance of `DataSourceType`

    - #### maxIdleTime

          DataSourceType<T> maxIdleTime(java.lang.Integer maxIdleTime)

      Sets the `max-idle-time` element
      Parameters:
        `maxIdleTime` - the value for the element `max-idle-time`
      Returns:
        the current instance of `DataSourceType`

    - #### getMaxIdleTime

          java.lang.Integer getMaxIdleTime()

      Returns the `max-idle-time` element
      Returns:
        the node defined for the element `max-idle-time`

    - #### removeMaxIdleTime

          DataSourceType<T> removeMaxIdleTime()

      Removes the `max-idle-time` element
      Returns:
        the current instance of `DataSourceType`

    - #### maxStatements

          DataSourceType<T> maxStatements(java.lang.Integer maxStatements)

      Sets the `max-statements` element
      Parameters:
        `maxStatements` - the value for the element `max-statements`
      Returns:
        the current instance of `DataSourceType`

    - #### getMaxStatements

          java.lang.Integer getMaxStatements()

      Returns the `max-statements` element
      Returns:
        the node defined for the element `max-statements`

    - #### removeMaxStatements

          DataSourceType<T> removeMaxStatements()

      Removes the `max-statements` element
      Returns:
        the current instance of `DataSourceType`

    - #### id

          DataSourceType<T> id(java.lang.String id)

      Sets the `id` attribute
      Parameters:
        `id` - the value for the attribute `id`
      Returns:
        the current instance of `DataSourceType`

    - #### getId

          java.lang.String getId()

      Returns the `id` attribute
      Returns:
        the value defined for the attribute `id`

    - #### removeId

          DataSourceType<T> removeId()

      Removes the `id` attribute
      Returns:
        the current instance of `DataSourceType`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)